NAMEI(1)

BEZEICHNUNG
namei - einem Pfadnamen bis zu einem Endpunkt folgen

ÜBERSICHT
namei [Optionen] Pfadname …

BESCHREIBUNG
namei fasst die übergebenen Argumente als Namen des Pfades zu einer Unix-Datei beliebigen Typs auf (symbolische Verknüpfungen, Dateien, Verzeichnisse usw.). namei folgt jedem Pfadnamen, bis ein Endpunkt gefunden wird (eine Datei, ein Verzeichnis, ein Geräteknoten usw.). Falls es eine symbolische Verknüpfung findet, wird diese angezeigt und ihr gefolgt. Dabei wird die Ausgabe eingerückt, um den zugehörigen Kontext anzuzeigen.

Das Programm ist nützlich zum Eingrenzen von Problemen wie »zu viele symbolische Verknüpfungen«.

In jeder Zeile der Ausgabe verwendet namei die folgenden Zeichen, um den Typ der gefundenen Datei zu identifizieren:

   f: = der aktuell aufgelöste Pfadname
    d = Verzeichnis
    l = symbolische Verknüpfung (sowohl die Verknüpfung als auch
        deren Inhalte werden ausgegeben)
    s = Socket
    b = blockorientiertes Gerät
    c = zeichenorientiertes Gerät
    p = FIFO (benannte Pipe)
    - = reguläre Datei
    ? = ein Fehler jeglicher Art

namei gibt einen Hinweis aus, wenn die maximale Zahl der im System zulässigen symbolischen Verknüpfungen überschritten ist.

OPTIONEN

-l, --long
    verwendet das lange Format für Listen (gleichbedeutend mit -m -o -v).

-m, --modes
    zeigt die Zugriffsmodi für jeden Dateityp im Stil von ls(1) an, zum Beispiel »rwxr-xr-x«.

-n, --nosymlinks
    folgt symbolischen Verknüpfungen nicht.

-o, --owners
    zeigt den Namen von Eigentümer und Gruppe für jede Datei an.

-v, --vertical
    ordnet Zugriffsmodi und Eigentumsrechte vertikal an.

-x, --mountpoints
    zeigt die Verzeichnisse der Einhängepunkte mit einem »D« statt einem »d« an.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

AUTOR
Das ursprüngliche Programm namei wurde von Roger Southwick <rogers@amadeus.wr.tek.com> geschrieben.

Dieses Programm wurde von Karel Zak <kzak@redhat.com> neu geschrieben.

FEHLER
müssen noch gefunden werden.

SIEHE AUCH
ls(1), stat(1), symlink(7)

VERFÜGBARKEIT
Der Befehl namei ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.